Bug 189705 - Review Request: aiccu
Review Request: aiccu
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-23 10:22 EDT by Matt Domsch
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 23:46:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2006-04-23 10:22:44 EDT
Spec URL: http://domsch.com/linux/fedora/extras/aiccu/aiccu.spec
SRPM URL: http://domsch.com/linux/fedora/extras/aiccu/aiccu-2005.01.31-2.src.rpm
Description: 
This client automatically gives one IPv6 connectivity
without having to manually configure interfaces etc.
One does need a SixXS account and at least a tunnel. These
can be freely & gratis requested from the SixXS website.
For more information about SixXS check http://www.sixxs.net
Comment 1 Matt Domsch 2006-05-09 11:11:52 EDT
I need one more trivial fixup, to start the service at level 59 so it starts 
after ntpd.  I'll include that in the final posting.
Comment 2 Parag AN(पराग) 2006-06-01 09:14:19 EDT
Not a Review but found one thing in SPEC
SOURCE is not URL
Comment 3 Jason Tibbitts 2006-06-28 02:04:30 EDT
A few comments:

As in comment #2, Source0 is not a full URL.  I suggest using:
Source0:   http://www.sixxs.net/archive/sixxs/aiccu/unix/aiccu_%{version}.tar.gz

Builds fine in mock; rpmlint says:

E: aiccu non-readable /etc/aiccu.conf 0600
Understandable since this includes password information.

W: aiccu service-default-enabled /etc/init.d/aiccu
The init script has:
# chkconfig: 345 15 85
So the service will start enabled in runlevels 3, 4, and 5.  You should s/345/-/.

The makefile strips the binary, which breaks -debuginfo generation.

Other than those, things look pretty good although I suspect that once you fix
-debuginfo generation, the fact that many of the source files are executable for
some reason will cause several other warnings.
Comment 4 Matt Domsch 2006-06-28 10:20:15 EDT
Fixed the above, no further warnings are emitted.

Spec URL: http://domsch.com/linux/fedora/extras/aiccu/aiccu.spec
SRPM URL: http://domsch.com/linux/fedora/extras/aiccu/aiccu-2005.01.31-3.src.rpm
Comment 5 Jason Tibbitts 2006-06-28 12:57:26 EDT
Now builds in mock and rpmlint has only the ignorable non-readable error.

The compiler isn't being called with the proper arguments; I see you pass in
RPM_OPT_FLAGS, but that doesn't seem to be used by the Makefiles.  I think
you'll probably have to patch.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   7c3da5feab3d59fb5a99a45203e0ca56  aiccu_2005.01.31.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint has only ignorable complaints.
* final provides and requires are sane:
   config(aiccu) = 2005.01.31-3.fc6
   aiccu = 2005.01.31-3.fc6
  =
   /bin/sh
   chkconfig
   config(aiccu) = 2005.01.31-3.fc6
   iproute
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 6 Matt Domsch 2006-06-28 15:30:36 EDT
Fixed RPM_OPT_FLAGS usage, and removed executable bits on files going into 
debuginfo so that's sane now.

Spec URL: http://domsch.com/linux/fedora/extras/aiccu/aiccu.spec
SRPM URL: http://domsch.com/linux/fedora/extras/aiccu/aiccu-2005.01.31-
4.src.rpm

Comment 7 Jason Tibbitts 2006-06-28 16:09:28 EDT
Everything looks fine now; the debuginfo package has the source and build.log
shows the proper flags being passed to the compiler.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.